<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4024
Name: Dosierung Freitext
Description: Dosierung Freitext
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4024-2014-11-01T000000">
   <title>Dosierung Freitext</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4024
Context: *[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]]
Item: (MedicationStatementDoseInstruction)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4024
Context: *[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]
Item: (MedicationStatementDoseInstruction)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]"
         id="d119e4925-false-d57625e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="string(@classCode)=('SBADM')">(MedicationStatementDoseInstruction): Der Wert von @classCode MUSS 'SBADM' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="string(@moodCode)=('EVN')">(MedicationStatementDoseInstruction): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4024'])&gt;=1">(MedicationStatementDoseInstruction): Element hl7:templateId[@root='1.2.276.0.76.10.4024'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4024'])&lt;=1">(MedicationStatementDoseInstruction): Element hl7:templateId[@root='1.2.276.0.76.10.4024'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(MedicationStatementDoseInstruction): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(MedicationStatementDoseInstruction): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="count(hl7:consumable[not(@nullFlavor)])&gt;=1">(MedicationStatementDoseInstruction): Element hl7:consumable[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="count(hl7:consumable[not(@nullFlavor)])&lt;=1">(MedicationStatementDoseInstruction): Element hl7:consumable[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4024
Context: *[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]/hl7:templateId[@root='1.2.276.0.76.10.4024']
Item: (MedicationStatementDoseInstruction)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]/hl7:templateId[@root='1.2.276.0.76.10.4024']"
         id="d119e4931-false-d57679e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementDoseInstruction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4024')">(MedicationStatementDoseInstruction): Der Wert von @root MUSS '1.2.276.0.76.10.4024' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4024
Context: *[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]/hl7:text[not(@nullFlavor)]
Item: (MedicationStatementDoseInstruction)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]/hl7:text[not(@nullFlavor)]"
         id="d119e4936-false-d57697e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementDoseInstruction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&gt;=1">(MedicationStatementDoseInstruction): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&lt;=1">(MedicationStatementDoseInstruction): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4024
Context: *[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]
Item: (MedicationStatementDoseInstruction)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]"
         id="d119e4938-false-d57723e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementDoseInstruction): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="@value">(MedicationStatementDoseInstruction): Attribut @value MUSS vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4024
Context: *[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]/hl7:consumable[not(@nullFlavor)]
Item: (MedicationStatementDoseInstruction)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]/hl7:consumable[not(@nullFlavor)]"
         id="d119e4948-false-d57741e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="count(hl7:manufacturedProduct[not(@nullFlavor)])&gt;=1">(MedicationStatementDoseInstruction): Element hl7:manufacturedProduct[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="count(hl7:manufacturedProduct[not(@nullFlavor)])&lt;=1">(MedicationStatementDoseInstruction): Element hl7:manufacturedProduct[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4024
Context: *[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]
Item: (MedicationStatementDoseInstruction)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]"
         id="d119e4950-false-d57764e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="count(hl7:manufacturedMaterial)&gt;=1">(MedicationStatementDoseInstruction): Element hl7:manufacturedMaterial ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(MedicationStatementDoseInstruction): Element hl7:manufacturedMaterial kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4024
Context: *[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]/hl7:manufacturedMaterial
Item: (MedicationStatementDoseInstruction)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]]/hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4024']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]/hl7:manufacturedMaterial"
         id="d119e4952-false-d57787e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4024-2014-11-01T000000.html"
              test="string(@nullFlavor)=('NA')">(MedicationStatementDoseInstruction): Der Wert von @nullFlavor MUSS 'NA' sein.</assert>
   </rule>
</pattern>
