<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4077
Name: Alter Observation
Description: Die Altersbeobachtung repräsentiert das Alter des Subjekts (z. B. Patient) bei Beginn eines Ereignisses oder einer Beobachtung. Das Alter eines Verwandten in einer Familienanamnese könnte auch durch Vergleich von RelatedSubject / subject / birthTime mit Observation / effectiveTime abgeleitet werden. Allerdings kommt es häufiger vor, dass ein Patient das Alter eines Verwandten kennt, als dieser ein bestimmtes Problem hatte oder als der Verwandte verstarb, doch das eigentliche Jahr nicht kennt (z. B. "Großvater starb an einem Herzinfarkt im Alter von 50 Jahren"). Oftmals sind weder genaue Daten noch Alter bekannt (z. B. "Cousin starb an angeborener Herzkrankheit als Kleinkind").
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4077-2015-12-06T000000">
   <title>Alter Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4077
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]]
Item: (AgeObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4077
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]
Item: (AgeObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]"
         id="d119e5798-false-d62639e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="string(@classCode)=('OBS')">(AgeObservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(AgeObservation): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="string(@moodCode)=('EVN')">(AgeObservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(AgeObservation): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4077'])&gt;=1">(AgeObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4077'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4077'])&lt;=1">(AgeObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4077'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="count(hl7:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(AgeObservation): Element hl7:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="count(hl7:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(AgeObservation): Element hl7:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(AgeObservation): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(AgeObservation): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="count(hl7:value)&gt;=1">(AgeObservation): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="count(hl7:value)&lt;=1">(AgeObservation): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4077
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]/hl7:templateId[@root='1.2.276.0.76.10.4077']
Item: (AgeObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]/hl7:templateId[@root='1.2.276.0.76.10.4077']"
         id="d119e5804-false-d62711e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4077')">(AgeObservation): Der Wert von @root MUSS '1.2.276.0.76.10.4077' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(AgeObservation): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4077
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]/hl7:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (AgeObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]/hl7:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d119e5809-false-d62728e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="@nullFlavor or (@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')">(AgeObservation): Der Elementinhalt MUSS einer von 'code '445518008' codeSystem '2.16.840.1.113883.6.96'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4077
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (AgeObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d119e5814-false-d62745e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="@nullFlavor or (@code='completed')">(AgeObservation): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4077
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]/hl7:value
Item: (AgeObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]/hl7:value"
         id="d119e5820-false-d62762e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AgeObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="$digitok or @nullFlavor">(AgeObservation): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(AgeObservation): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="@unit">(AgeObservation): Attribut @unit MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="not(@unit) or (string-length(@unit)&gt;0 and not(matches(@unit,'\s')))">(AgeObservation): Attribute @unit MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@unit),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.11.20.9.21-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4077-2015-12-06T000000.html"
              test="not(@unit) or count($theAttValue) = count($theAttCheck)">(AgeObservation): Der Wert von unit MUSS gewählt werden aus Value Set '2.16.840.1.113883.11.20.9.21' AgePQ_UCUM (DYNAMIC).</assert>
   </rule>
</pattern>
