<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4079
Name: Diagnose Concern Act
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4079-2015-12-06T000000">
   <title>Diagnose Concern Act</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4079
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]
Item: (DiagnoseConcernAct)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4079
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]
Item: (DiagnoseConcernAct)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]"
         id="d119e5940-false-d63012e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="string(@classCode)=('ACT')">(DiagnoseConcernAct): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(DiagnoseConcernAct): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="string(@moodCode)=('EVN')">(DiagnoseConcernAct): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(DiagnoseConcernAct): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4079'])&gt;=1">(DiagnoseConcernAct): Element hl7:templateId[@root='1.2.276.0.76.10.4079'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4079'])&lt;=1">(DiagnoseConcernAct): Element hl7:templateId[@root='1.2.276.0.76.10.4079'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="count(hl7:id)&gt;=1">(DiagnoseConcernAct): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="count(hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)])&gt;=1">(DiagnoseConcernAct): Element hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="count(hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)])&lt;=1">(DiagnoseConcernAct): Element hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="count(hl7:statusCode[not(@nullFlavor)])&gt;=1">(DiagnoseConcernAct): Element hl7:statusCode[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="count(hl7:statusCode[not(@nullFlavor)])&lt;=1">(DiagnoseConcernAct): Element hl7:statusCode[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(DiagnoseConcernAct): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(DiagnoseConcernAct): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]])&gt;=1">(DiagnoseConcernAct): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]] ist mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4079
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:templateId[@root='1.2.276.0.76.10.4079']
Item: (DiagnoseConcernAct)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:templateId[@root='1.2.276.0.76.10.4079']"
         id="d119e5946-false-d63134e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4079')">(DiagnoseConcernAct): Der Wert von @root MUSS '1.2.276.0.76.10.4079' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(DiagnoseConcernAct): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4079
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:id
Item: (DiagnoseConcernAct)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4079
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)]
Item: (DiagnoseConcernAct)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)]"
         id="d119e5953-false-d63162e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="@nullFlavor or (@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')">(DiagnoseConcernAct): Der Elementinhalt MUSS einer von 'code 'CONC' codeSystem '2.16.840.1.113883.5.6'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4079
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:statusCode[not(@nullFlavor)]
Item: (DiagnoseConcernAct)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4079
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (DiagnoseConcernAct)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d119e5961-false-d63190e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="count(hl7:low[not(@nullFlavor)])&gt;=1">(DiagnoseConcernAct): Element hl7:low[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="count(hl7:low[not(@nullFlavor)])&lt;=1">(DiagnoseConcernAct): Element hl7:low[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="count(hl7:high)&lt;=1">(DiagnoseConcernAct): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4079
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low[not(@nullFlavor)]
Item: (DiagnoseConcernAct)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4079
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high
Item: (DiagnoseConcernAct)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4079
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author
Item: (DiagnoseConcernAct)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author"
         id="d119e5968-false-d63246e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(DiagnoseConcernAct): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(DiagnoseConcernAct): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="count(hl7:functionCode)&lt;=1">(DiagnoseConcernAct): Element hl7:functionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="count(hl7:time)&gt;=1">(DiagnoseConcernAct): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="count(hl7:time)&lt;=1">(DiagnoseConcernAct): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1">(DiagnoseConcernAct): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(DiagnoseConcernAct): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:functionCode
Item: (AuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:functionCode"
         id="d63257e33-false-d63303e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AuthorBody): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:time
Item: (AuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:time"
         id="d63257e38-false-d63328e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="not(*)">(AuthorBody): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor
Item: (AuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor"
         id="d63257e40-false-d63345e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:id)&gt;=1">(AuthorBody): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:code)&lt;=1">(AuthorBody): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(AuthorBody): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(AuthorBody): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:id
Item: (AuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:id"
         id="d63257e44-false-d63411e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:code
Item: (AuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:code"
         id="d63257e46-false-d63425e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(AuthorBody): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (AuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:addr"
         id="d63257e51-false-d63445e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (AuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="d63257e53-false-d63459e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (AuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="d63257e56-false-d63475e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AuthorBody): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]"
         id="d63486e22-false-d63513e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (AuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="d63257e61-false-d63529e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AuthorBody): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:addr)&lt;=1">(AuthorBody): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="d63540e24-false-d63585e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]"
         id="d63540e29-false-d63599e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="d63540e33-false-d63613e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="d63540e37-false-d63627e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4079
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]
Item: (DiagnoseConcernAct)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="string(@typeCode)=('SUBJ')">(DiagnoseConcernAct): Der Wert von @typeCode MUSS 'SUBJ' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DiagnoseConcernAct): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4079
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]
Item: (DiagnoseConcernAct)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="string(@typeCode)=('REFR')">(DiagnoseConcernAct): Der Wert von @typeCode MUSS 'REFR' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4079-2015-12-06T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DiagnoseConcernAct): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
   </rule>
</pattern>
