<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4086
Name: Überweisung
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4086-2017-02-01T000000">
   <title>Überweisung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4086
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]
Item: (PatientReferralAct)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4086
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]
Item: (PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]"
         id="d119e6537-false-d66358e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="string(@classCode)=('PCPR')">(PatientReferralAct): Der Wert von @classCode MUSS 'PCPR' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(PatientReferralAct): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="@moodCode">(PatientReferralAct): Attribut @moodCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(PatientReferralAct): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.11.20.9.66-2014-09-01T000000.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(PatientReferralAct): Der Wert von moodCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.11.20.9.66' Patient Referral Act moodCode (2014-09-01T00:00:00).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4086'])&gt;=1">(PatientReferralAct): Element hl7:templateId[@root='1.2.276.0.76.10.4086'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4086'])&lt;=1">(PatientReferralAct): Element hl7:templateId[@root='1.2.276.0.76.10.4086'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="count(hl7:id)&gt;=1">(PatientReferralAct): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(PatientReferralAct): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(PatientReferralAct): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="count(hl7:statusCode[@code='active'][not(@nullFlavor)])&gt;=1">(PatientReferralAct): Element hl7:statusCode[@code='active'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="count(hl7:statusCode[@code='active'][not(@nullFlavor)])&lt;=1">(PatientReferralAct): Element hl7:statusCode[@code='active'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(PatientReferralAct): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(PatientReferralAct): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(PatientReferralAct): Element hl7:priorityCode kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4086
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:templateId[@root='1.2.276.0.76.10.4086']
Item: (PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:templateId[@root='1.2.276.0.76.10.4086']"
         id="d119e6546-false-d66499e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientReferralAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4086')">(PatientReferralAct): Der Wert von @root MUSS '1.2.276.0.76.10.4086' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PatientReferralAct): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4086
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:id
Item: (PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:id"
         id="d119e6551-false-d66520e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientReferralAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4086
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d119e6553-false-d66536e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientReferralAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(PatientReferralAct): Der Elementinhalt MUSS einer von '2.16.840.1.113883.11.20.9.56 Referral Types (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4086
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:statusCode[@code='active'][not(@nullFlavor)]
Item: (PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:statusCode[@code='active'][not(@nullFlavor)]"
         id="d119e6559-false-d66561e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientReferralAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="@nullFlavor or (@code='active')">(PatientReferralAct): Der Elementinhalt MUSS einer von 'code 'active'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4086
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:effectiveTime
Item: (PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:effectiveTime"
         id="d119e6564-false-d66581e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientReferralAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4086
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:priorityCode
Item: (PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:priorityCode"
         id="d119e6566-false-d66595e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientReferralAct): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4086
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author
Item: (PatientReferralAct)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author
Item: (AuthorBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(AuthorBody): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(AuthorBody): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:functionCode)&lt;=1">(AuthorBody): Element hl7:functionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:time)&gt;=1">(AuthorBody): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:time)&lt;=1">(AuthorBody): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1">(AuthorBody): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(AuthorBody): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:functionCode
Item: (AuthorBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:functionCode">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AuthorBody): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC)' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:time
Item: (AuthorBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:time">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="not(*)">(AuthorBody): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor
Item: (AuthorBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:id)&gt;=1">(AuthorBody): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:code)&lt;=1">(AuthorBody): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(AuthorBody): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(AuthorBody): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:id
Item: (AuthorBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:id">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:code
Item: (AuthorBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:code">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(AuthorBody): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (AuthorBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:addr">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (AuthorBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:telecom">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (AuthorBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AuthorBody): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (AuthorBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AuthorBody): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:addr)&lt;=1">(AuthorBody): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4086
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4084']]]
Item: (PatientReferralAct)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4084']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="string(@typeCode)=('RSON')">(PatientReferralAct): Der Wert von @typeCode MUSS 'RSON' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4086-2017-02-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(PatientReferralAct): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
   </rule>
</pattern>
