<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4093
Name: Manifestation Observation
Description: Dieses Template gibt den Manifestations-Beobachtung als Sekundärcode eines Problems/Diagnose wieder.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4093-2017-04-09T000000">
   <title>Manifestation Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4093
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]]
Item: (ManifestationObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4093
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]
Item: (ManifestationObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]"
         id="d119e6622-false-d67192e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="string(@classCode)=('OBS')">(ManifestationObservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(ManifestationObservation): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="string(@moodCode)=('EVN')">(ManifestationObservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(ManifestationObservation): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4093'])&gt;=1">(ManifestationObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4093'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4093'])&lt;=1">(ManifestationObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4093'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="count(hl7:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(ManifestationObservation): Element hl7:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="count(hl7:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(ManifestationObservation): Element hl7:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(ManifestationObservation): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(ManifestationObservation): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(ManifestationObservation): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(ManifestationObservation): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4093
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]/hl7:templateId[@root='1.2.276.0.76.10.4093']
Item: (ManifestationObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]/hl7:templateId[@root='1.2.276.0.76.10.4093']"
         id="d119e6628-false-d67264e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ManifestationObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4093')">(ManifestationObservation): Der Wert von @root MUSS '1.2.276.0.76.10.4093' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(ManifestationObservation): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4093
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]/hl7:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (ManifestationObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]/hl7:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d119e6633-false-d67285e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ManifestationObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="@nullFlavor or (@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')">(ManifestationObservation): Der Elementinhalt MUSS einer von 'code '75328-5' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4093
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (ManifestationObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d119e6638-false-d67305e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ManifestationObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="@nullFlavor or (@code='completed')">(ManifestationObservation): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4093
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]/hl7:value[not(@nullFlavor)]
Item: (ManifestationObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]/hl7:value[not(@nullFlavor)]"
         id="d119e6644-false-d67325e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170411T141740/tmp-1.2.276.0.76.10.4093-2017-04-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ManifestationObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
   </rule>
</pattern>
